﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="JqCrossDomain._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>jquery跨域调用WebService(getJson)</title>
    <style type="text/css">
        *
        {
            font: 12px 宋体;
            margin: 0px;
            padding: 0px;
        }
        body
        {
            padding: 5px;
        }
        #container .search
        {
            height: 20px;
        }
        #container .result
        {
            margin-top: 5px;
        }
        #txtUserName
        {
            float: left;
        }
        #btnSearch
        {
            float: left;
            margin: 0px 0px 0px 5px;
            width: 78px;
            height: 16px;
            text-align: center;
            line-height: 16px;
            background-color: #eee;
            border: solid 1px #BABABA;
            cursor: pointer;
        }
        #btnSearch:hover
        {
            width: 76px;
            height: 14px;
            line-height: 14px;
            background-color: #fff;
            border-width: 2px;
        }
        .mark
        {
            color: Blue;
        }
    </style>
    <script src="Scripts/jquery-1.4.1.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        //用户信息(全局)
        var userData = {
            //WebServices地址(GetUserList=方法名称,?jsoncallback=?--必须包含)
            requestUrl: "http://localhost:54855/PersonalServices.asmx/GetUserList?jsoncallback=?",
            //方法参数(用户名可用","分隔开来查询多个用户信息)
            requestParams: { userName: null },
            //回调函数
            requestCallBack: function (json) {
                if (json.ResponseStatus == 1) {//成功获取数据
                    var addRow = function (key, value) {
                        return "<span>" + key + "：</span><span class=\"mark\">" + value + "</span><br/>";
                    }
                    userData.resultData = json.ResponseData;
                    var resultHtml = "";
                    $(userData.resultData).each(function () {
                        resultHtml += addRow("姓名", this.Name);
                        resultHtml += addRow("年龄", this.Age);
                        resultHtml += addRow("性别", this.Sex);
                        resultHtml += addRow("备注", this.Remark);
                        resultHtml += "<br/>";
                    });
                    $(".result").html(resultHtml);
                } else $(".result").html(json.ResponseDetails); //无数据或者后台处理失败！
            },
            //查询得到的数据
            resultData: null
        };
        $(function () {
            //绑定文本框的键盘事件
            $("#txtUserName").keyup(function () {
                if ($.trim($(this).val()) == "") {
                    $(".result").html("请输入查询用户名！");
                } else {
                    userData.requestParams.userName = $(this).val();
                    $(".result").html("");
                }
            });
            //绑定查询按钮单机事件
            $("#btnSearch").click(function () {
                if (userData.requestParams.userName) {
                    $.getJSON(userData.requestUrl, userData.requestParams, userData.requestCallBack);
                }
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="container">
        <div class="search">
            <input type="text" id="txtUserName" /><div id="btnSearch">
                查 询</div>
        </div>
        <div class="result">
        </div>
    </div>
    </form>
</body>
</html>
